/*
	Copyright (c) 2004-2009, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


(function(){
if(typeof this["loadFirebugConsole"]=="function"){
this["loadFirebugConsole"]();
}else{
this.console=this.console||{};
var cn=["assert","count","debug","dir","dirxml","error","group","groupEnd","info","profile","profileEnd","time","timeEnd","trace","warn","log"];
var i=0,tn;
while((tn=cn[i++])){
if(!console[tn]){
(function(){
var _4=tn+"";
console[_4]=("log" in console)?function(){
var a=Array.apply({},arguments);
a.unshift(_4+":");
console["log"](a.join(" "));
}:function(){
};
})();
}
}
}
if(typeof _6=="undefined"){
this.dojo={_scopeName:"dojo",_scopePrefix:"",_scopePrefixArgs:"",_scopeSuffix:"",_scopeMap:{},_scopeMapRev:{}};
}
var _6=this.dojo;
var d=_6;
if(typeof dijit=="undefined"){
this.dijit={_scopeName:"dijit"};
}
if(typeof dojox=="undefined"){
this.dojox={_scopeName:"dojox"};
}
if(!d._scopeArgs){
d._scopeArgs=[_6,dijit,dojox];
}
d.global=this;
d.config={isDebug:false,debugAtAllCosts:false};
if(typeof djConfig!="undefined"){
for(var _8 in djConfig){
d.config[_8]=djConfig[_8];
}
}
_6.locale=d.config.locale;
var _9="$Rev: 16653 $".match(/\d+/);
_6.version={major:1,minor:3,patch:0,flag:"b1",revision:_9?+_9[0]:NaN,toString:function(){
with(d.version){
return major+"."+minor+"."+patch+flag+" ("+revision+")";
}
}};
if(typeof OpenAjax!="undefined"){
OpenAjax.hub.registerLibrary(_6._scopeName,"http://dojotoolkit.org",d.version.toString());
}
var _a={};
_6._mixin=function(_b,_c){
for(var x in _c){
if(_a[x]===undefined||_a[x]!=_c[x]){
_b[x]=_c[x];
}
}
if(d.isIE&&_c){
var p=_c.toString;
if(typeof p=="function"&&p!=_b.toString&&p!=_a.toString&&p!="\nfunction toString() {\n    [native code]\n}\n"){
_b.toString=_c.toString;
}
}
return _b;
};
_6.mixin=function(_f,_10){
if(!_f){
_f={};
}
for(var i=1,l=arguments.length;i<l;i++){
d._mixin(_f,arguments[i]);
}
return _f;
};
_6._getProp=function(_13,_14,_15){
var obj=_15||d.global;
for(var i=0,p;obj&&(p=_13[i]);i++){
if(i==0&&this._scopeMap[p]){
p=this._scopeMap[p];
}
obj=(p in obj?obj[p]:(_14?obj[p]={}:undefined));
}
return obj;
};
_6.setObject=function(_19,_1a,_1b){
var _1c=_19.split("."),p=_1c.pop(),obj=d._getProp(_1c,true,_1b);
return obj&&p?(obj[p]=_1a):undefined;
};
_6.getObject=function(_1f,_20,_21){
return d._getProp(_1f.split("."),_20,_21);
};
_6.exists=function(_22,obj){
return !!d.getObject(_22,false,obj);
};
_6["eval"]=function(_24){
return d.global.eval?d.global.eval(_24):eval(_24);
};
d.deprecated=d.experimental=function(){
};
})();
